function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end
function RemoveCallback(object, event, callback)
    if (object[event] == callback) then
        object[event] = nil;
    else
        if (type(object[event]) == "table") then
            local size = table.getn(object[event]);
            for i = 1, size do
                if (object[event][i] == callback) then
                    table.remove(object[event], i);
                    break;
                end
            end
        end
    end
end
Timer = class( Turbine.UI.Control );
function Timer:Constructor()
    Turbine.UI.Control.Constructor( self );
    self.EndTime=Turbine.Engine.GetGameTime();
    self.Repeat=false;
    self.SetTime=function(sender, numSeconds, setRepeat)
        numSeconds=tonumber(numSeconds);
        if numSeconds==nil or numSeconds<=0 then
            numSeconds=0;
        end
        self.EndTime=Turbine.Engine.GetGameTime()+numSeconds;
        self.Repeat=false; -- default
        self.NumSeconds=numSeconds;
        if setRepeat~=nil and self.Repeat~=false then
            -- any non-false value will trigger a repeat
            self.Repeat=true;
        end
        self.Repeat=setRepeat;
        self:SetWantsUpdates(true);
    end
    self.Update=function()
        if self.EndTime~=nil and Turbine.Engine.GetGameTime()>=self.EndTime then
            self:SetWantsUpdates(false); -- turn off timer to avoid firing again while we are processing (not likely but it's a good practice)
            -- fire whatever event you are trying to trigger
            if self.TimeReached~=nil then
                if type(self.TimeReached)=="function" then
                    self.TimeReached();
                elseif type(self.TimeReached)=="table"  then
                    for k,v in pairs(self.TimeReached) do
                        if type(v)=="function" then
                            v();
                        end
                    end
                end
            end
            if self.Repeat then
                self.EndTime=Turbine.Engine.GetGameTime()+self.NumSeconds;
                self:SetWantsUpdates(true);
            end
        end
    end
end
-- somewhere else in code, you would instantiate an instance of the timer

-- then set the TimeReached event handler


-- and finally, set the timer
; -- cause the timer to fire every 60 seconds, auto repeating